de.dhbwstuttgart.syntaxtree.type

## Class ObjectType

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.ObjectType

- All Implemented Interfaces:
    IItemWithOffset
  Direct Known Subclasses:
    GenericTypeVar, RefType, TypePlaceholder

      public abstract class ObjectType
      extends Type

- - ### Field Summary

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `name, used`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectType(java.lang.String s, SyntaxTreeNode parent, int offset)`
    `ObjectType(SyntaxTreeNode parent, int offset)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ObjectType` | `clone()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `applyResultSet, checkTYPE, equals, get_Name, get_UsedId, getChildren, getInvolvedTypePlaceholder, getName, getOffset, getSimpleName, getSuperWildcardTypes, getUnresolvedTPH, getVariableLength, involves, printJavaCode, set_UsedId, setOffset, toString, TYPE, Type2Key, Type2String`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectType

          public ObjectType(java.lang.String s,
                            SyntaxTreeNode parent,
                            int offset)

    - #### ObjectType

          public ObjectType(SyntaxTreeNode parent,
                            int offset)

  - ### Method Detail

    - #### clone

          public abstract ObjectType clone()

      Description copied from class: `Type`
      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Specified by:
        `clone` in class `Type`
      Returns:
        // ino.end // ino.method.clone.26768.definition public Type clone() // ino.end // ino.method.clone.26768.body { return new RefType(this.getName().toString(), this.getParent(),getOffset()); } // ino.end